Subject: Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio Codec WG

From: "Slava Borilin" <[email-masked]>
Date: Tue, 2 Jun 2009 00:49:37 +0400

Agree with Jean-Marc.
SPIRIT is interested to contribute as well - having a dozen of
proprietary codecs developed, including 
one specifically desgined for internet (SPIRIT IP-MR, which is now under
WGLC on draft-ietf-avt-rtp-ipmr-04) - 
multi-rate, scalable, adaptive, wideband codec.
 
We can also continue this work with IETF.
 
Moreover, most if not all efforts coming from ITU on codecs
unfortunately are NOT really focused on 
internet-specific codecs (that's why several companies have had to
invent) - as ITU preference is mainly 
specific (i.e. cellular) networks at first.
 
however, as we see the greant rise of pure "internet-basd
communications" (skype, webex/citrix, and many others) - 
we all (and users) are suffering from inefficiency in all currently
"standard" codecs and ambiguity in the choice of 
internet-targeted ones.
 
Again, we probably can put together enough number of contributors to the
WG to have the expertise.
 
regards,
Slava Borilin
 
--
John Lazzaro wrote:

	A traditional response to this type of request is to note that
the IETF
	really doesn't have much in the way of expertise in audio codec
design.
	I don't see many of the regulars who present at the AES codec
paper sessions
	posting here on AVT (ditto ICASSP paper sessions for voice
codecs). It's
	a full-time job to keep up-to-date and contribute to that
	signal-processing lore.

Well, there's no reason that the IETF cannot build such an expertise in
audio codecs. This is actually something in which I'd be interested in
getting involved and I'm sure others at Xiph.Org would be interested as
well. We have several people with audio codec expertise from working on
Vorbis, Speex and (more recently) CELT. It turns out that the CELT codec
currently under development at Xiph actually meets most of the
requirements from the original proposal in being a very low delay codec
with adaptive bit-rate and sampling rate (up to 48 kHz), scalable
complexity, and good robustness to packet loss. We'd be willing to
continue the development with the IETF. Even if not with CELT, it's
still like to be involved in such a new WG. 
Cheers,

   Jean-Marc

---

From: stephen botzko <[email-masked]>
Date: Mon, 1 Jun 2009 17:07:12 -0400

The ITU (like the IETF) is contribution-driven; it is certainly possible to
standardize internet codecs there.  G.719 is one example.

Regards,
Stephen Botzko

On Mon, Jun 1, 2009 at 4:49 PM, Slava Borilin <[email-masked]> wrote:

> Agree with Jean-Marc.
>
> SPIRIT is interested to contribute as well - having a dozen of proprietary codecs developed, including
>
> one specifically desgined for internet (SPIRIT IP-MR, which is now under WGLC on draft-ietf-avt-rtp-ipmr-04) -
>
> Moreover, most if not all efforts coming from ITU on codecs unfortunately are NOT really focused on
>
> internet-specific codecs (that's why several companies have had to invent) - as ITU preference is mainly
>
> however, as we see the greant rise of pure "internet-basd communications" (skype, webex/citrix, and many others) -
>
> we all (and users) are suffering from inefficiency in all currently "standard" codecs and ambiguity in the choice of
>
> internet-targeted ones.
>
>
>
> Again, we probably can put together enough number of contributors to the WG to have the expertise.
>
>
>
> regards,
>
> Slava Borilin
>
>
>
> --
>
> John Lazzaro wrote:
>
> A traditional response to this type of request is to note that the IETF
> really doesn't have much in the way of expertise in audio codec design.
> I don't see many of the regulars who present at the AES codec paper sessions
> posting here on AVT (ditto ICASSP paper sessions for voice codecs). It's
> Well, there's no reason that the IETF cannot build such an expertise in audio
> codecs. This is actually something in which I'd be interested in getting
> involved and I'm sure others at Xiph.Org would be interested as well. We
> have several people with audio codec expertise from working on Vorbis,
> Speex and (more recently) CELT. It turns out that the CELT codec currently
> under development at Xiph actually meets most of the requirements from the
> original proposal in being a very low delay codec with adaptive bit-rate
> and sampling rate (up to 48 kHz), scalable complexity, and good robustness
> to packet loss. We'd be willing to continue the development with the IETF.
> Even if not with CELT, it's still like to be involved in such a new WG.
>
> Cheers,
>
>    Jean-Marc
>
>
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>
>

---

From: Roni Even <[email-masked]>
Date: Tue, 02 Jun 2009 16:47:07 +0300

Hi,

I am not sure what prevented you from doing it today at the ITU or MPEG, why
do you see the IETF handling it differently.

I would also like to remind you and Jean-Marc that once you are bringing
work to a standard body it may require collaboration with other people who
will have other proposals that will also address the same requirements and
you may need to invest money in comparative testing by independent listening
labs.

I also think that you will need to supply the codec in source code and
provide copy right to the IETF. 

Roni 

From: [email-masked] [mailto:[email-masked]] On Behalf Of Slava
Borilin
Sent: Monday, June 01, 2009 11:50 PM
To: [email-masked]
Cc: [email-masked]; Jason Fischl
Subject: Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio Codec
WG

Agree with Jean-Marc.
SPIRIT is interested to contribute as well - having a dozen of proprietary
codecs developed, including 
one specifically desgined for internet (SPIRIT IP-MR, which is now under
WGLC on draft-ietf-avt-rtp-ipmr-04) - 
multi-rate, scalable, adaptive, wideband codec.

Moreover, most if not all efforts coming from ITU on codecs unfortunately
are NOT really focused on 
internet-specific codecs (that's why several companies have had to invent) -
as ITU preference is mainly 
specific (i.e. cellular) networks at first.
 
however, as we see the greant rise of pure "internet-basd communications"
(skype, webex/citrix, and many others) - 
we all (and users) are suffering from inefficiency in all currently
"standard" codecs and ambiguity in the choice of 
internet-targeted ones.
 
Again, we probably can put together enough number of contributors to the WG
to have the expertise.
 
regards,
Slava Borilin
 
--
John Lazzaro wrote:

Well, there's no reason that the IETF cannot build such an expertise in
audio codecs. This is actually something in which I'd be interested in
getting involved and I'm sure others at Xiph.Org would be interested as
well. We have several people with audio codec expertise from working on
Vorbis, Speex and (more recently) CELT. It turns out that the CELT codec
currently under development at Xiph actually meets most of the requirements
from the original proposal in being a very low delay codec with adaptive
bit-rate and sampling rate (up to 48 kHz), scalable complexity, and good
robustness to packet loss. We'd be willing to continue the development with
the IETF. Even if not with CELT, it's still like to be involved in such a
new WG. 

Cheers,
 
   Jean-Marc

---

From: Randell Jesup <[email-masked]>
Date: Tue, 02 Jun 2009 10:57:37 -0400

>do you see the IETF handling it differently.

Last I knew, ITU was a *far* more closed group (and I think MPEG as well).
I would not even think of going through the hassle to participate in the
ITU standards process, while we might be interested helping with this idea,
though we may not be able to provide a large amount of resources to it.

The "associate" membership fee in ITU-T is more than I could justify,
especially since IETF/ITU work is largely personal for me:

     For the period 2008-2009, the annual financial contribution for an
     Associate in ITU-R, or ITU-T is CHF 10,600.00

>provide copy right to the IETF. 

Right, similar to was done with iLBC (though that was a 'donation' from a
single company).

-- 
Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga OS team
[email-masked]
"The fetters imposed on liberty at home have ever been forged out of the weapons
provided for defence against real, pretended, or imaginary dangers from abroad."
		- James Madison, 4th US president (1751-1836)

---

From: Jean-Marc Valin <[email-masked]>
Date: Tue, 02 Jun 2009 11:14:01 -0400

Hi,

Roni Even wrote:
>
> I am not sure what prevented you from doing it today at the ITU or 
> MPEG, why do you see the IETF handling it differently.
>
> I would also like to remind you and Jean-Marc that once you are 
> bringing work to a standard body it may require collaboration with 
> other people who will have other proposals that will also address the 
> same requirements and you may need to invest money in comparative 
> testing by independent listening labs.
>

I am well aware that bringing work to the IETF would require 
collaboration with others. I am not seeking control over the work I am 
currently doing and would really welcome such collaboration. The idea is 
only to have the best wideband codec possible without IPR issues. Given 
the ITU and MPEG track record, I think it would be very unlikely for any 
of those organisations to work on an IPR-free codec.

I also agree with Henry that "the Internet has different criteria than 
ITU-T networks may have". Internet adoption follows different patterns 
than adoption in the ITU primary target markets. For example, the 
Internet has more consumer-reconfigurable software, while the ITU has to 
deal with a lot of fixed hardware deployments. At the ITU, it makes 
sense to invest large sums of money into testing and characterisation of 
codecs because the codecs deployed there usually stay around for a long 
time and the infrastructure investments are usually very large. On the 
other hand, I would say the investments in codecs for the Internet are 
comparatively smaller and, while testing is still important, it is not 
as critical as it is for the ITU.

It's also a choice one has to make. It is unlikely that companies would 
invest money in expensive testing if they are not going to obtain 
royalties in return. However, I think we may be able to define some more 
lightweight (collaborative?) testing that is sufficient and doesn't 
involve as much investments as what the ITU does. For the Internet, I 
believe an IPR-free codec that everyone agrees performs well is better 
than a patent-encumbered codec that has had more extensive testing. This 
is again another difference with the ITU: patent-encumbered codecs tend 
to hurt a lot more on the Internet because many applications (e.g. 
giving away the client) are very hard (or impossible) when one has to 
pay per-channel royalties.

As for the source code issue you pointed out, all the Xiph codecs are 
already published under a very permissive open source license (BSD), so 
this would not really change.

    Jean-Marc

> Roni
>
>  
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf 
> Of *Slava Borilin
> *Sent:* Monday, June 01, 2009 11:50 PM
> *To:* [email-masked]
> *Cc:* [email-masked]; Jason Fischl
> *Subject:* Re: [AVT] [dispatch] Proposal to form Internet Wideband 
> Audio Codec WG
>
>  
>
> Agree with Jean-Marc.
> Well, there's no reason that the IETF cannot build such an expertise 
> in audio codecs. This is actually something in which I'd be interested 
> in getting involved and I'm sure others at Xiph.Org would be 
> interested as well. We have several people with audio codec expertise 
> from working on Vorbis, Speex and (more recently) CELT. It turns out 
> that the CELT codec currently under development at Xiph actually meets 
> most of the requirements from the original proposal in being a very 
> low delay codec with adaptive bit-rate and sampling rate (up to 48 
> kHz), scalable complexity, and good robustness to packet loss. We'd be 
> willing to continue the development with the IETF. Even if not with 
> CELT, it's still like to be involved in such a new WG.
>
> Cheers,
>  
>    Jean-Marc

---

From: Roni Even <[email-masked]>
Date: Tue, 02 Jun 2009 18:57:16 +0300

Hi,
I do not want to sound like someone who is for IPR (I am not), but why stop
at codec, let's require it for all IETF work. There are IPR on IETF work
which is must simpler, in my view, than wide band audio codecs.

I think that we can start with "royalty free" even though I am not sure that
it will accepted as part of the charter of any other work group so why pick
on codecs which require more work.

This leaves the other reasons I heard for doing it at the IETF which is the
price of participating (cheaper than being an ITU-T member) and maybe design
less expensive characterization tests.

Roni

-----Original Message-----
From: Jean-Marc Valin [mailto:[email-masked]] 
Sent: Tuesday, June 02, 2009 6:14 PM
To: Roni Even
Cc: 'Slava Borilin'; [email-masked]; 'Jason Fischl'; [email-masked];
[email-masked]

Hi,

    Jean-Marc

design.

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 2 Jun 2009 12:15:51 -0400

I view this as a trade-off. If we pursue this, there are risks:

- nothing may come of it since there are no experts willing to help
- somebody will claim IPR on the resulting work
- the quality of the codec may not be competitive

However, if we don't do this, we are stuck with the status quo, which  
is not all that satisfactory. Thus, unless there are significant costs  
for "innocent bystanders", I see this as a risk worth taking. In the  
worst case, we are no worse off than we are today. In all other cases,  
we'll have an additional choice for a wideband codec, even if it's not  
"the best", just "good enough". After all, most people use G.711  
today, which has a really hard time making that claim.

Most real work in the IETF is done by very small teams, typically less  
than 10, so as long as we have a handful of people that are willing to  
contribute, this can work. It might even work better, since you may  
get fewer people who have half-baked opinions - we may skip the binary  
vs. XML debates...

We can set some ground rules ("must be tested with packet loss of 5%")  
and then see what happens. Compared to most network protocols, the  
likely negative impacts (such as security or congestion control  
issues) of even a badly-designed codec are pretty limited.

Henning

On Jun 2, 2009, at 11:57 AM, Roni Even wrote:

>> paper
> sessions
>> codecs).
> It's

---

From: "James M. Polk" <[email-masked]>
Date: Tue, 02 Jun 2009 11:16:31 -0500

At 11:12 AM 6/2/2009, Henry Sinnreich wrote:
>Content-Language: en
>Content-Type: multipart/alternative;
>         boundary="_000_C64AB99A3E55hsinnreiadobecom_"
>
> >price of participating
>This is an important point.
>Given the travel constraints for some of the most valuable potential 
>contributors and reviewers, could we envisage online work until the 
>economy improves, so that an eventual BOF to start with should not 
>be starved of attendees?

Henry

this economic constraint will exist no matter which SDO this work 
eventually gets done in.

>An online BOF?
>
>There are several free online meeting tools available...
>
>How can this be done within the IETF policy?
>
>Henry
>
>
>On 6/2/09 10:57 AM, "Roni Even" 
><<[email-masked]>[email-masked]> wrote:
>
>Hi,
>From: Jean-Marc Valin 
>[<mailto:[email-masked]>mailto:[email-masked]]
>Cc: 'Slava Borilin'; <[email-masked]>[email-masked]; 'Jason Fischl'; 
><[email-masked]>[email-masked];
><[email-masked]>[email-masked]
> > *From:* <[email-masked]>[email-masked] 
> [mailto:[email-masked]] *On Behalf
> > Of *Slava Borilin
> > *To:* <[email-masked]>[email-masked]
> > *Cc:* <[email-masked]>[email-masked]; Jason Fischl
>dispatch mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dispatch

---

From: stephen botzko <[email-masked]>
Date: Tue, 2 Jun 2009 13:31:39 -0400

>>> - the quality of the codec may not be competitive

I think its very important that the codec quality be competitive.  People
expect excellence from IETF standards  Standardizing non-competitive codecs
because they are cheap does not seem to be a good choce.

Steve B.

On Tue, Jun 2, 2009 at 12:15 PM, Henning Schulzrinne <[email-masked]>wrote:

> However, if we don't do this, we are stuck with the status quo, which is
> not all that satisfactory. Thus, unless there are significant costs for
> "innocent bystanders", I see this as a risk worth taking. In the worst case,
> we are no worse off than we are today. In all other cases, we'll have an
> additional choice for a wideband codec, even if it's not "the best", just
> "good enough". After all, most people use G.711 today, which has a really
> hard time making that claim.
>
> Most real work in the IETF is done by very small teams, typically less than
> 10, so as long as we have a handful of people that are willing to
> contribute, this can work. It might even work better, since you may get
> fewer people who have half-baked opinions - we may skip the binary vs. XML
> debates...
>
> We can set some ground rules ("must be tested with packet loss of 5%") and
> then see what happens. Compared to most network protocols, the likely
> negative impacts (such as security or congestion control issues) of even a
> badly-designed codec are pretty limited.
>
> Henning
>
>
>>> proprietary
>>> invent)
>> - as ITU preference is mainly
>>
>>>   A traditional response to this type of request is to note that the
>>>
>> IETF
>>
>>>
>>>   I don't see many of the regulars who present at the AES codec paper
>>>
>> sessions
>>
>>>
>>>   posting here on AVT (ditto ICASSP paper sessions for voice codecs).
>>>
>> It's
>>
>>>

---

From: "Slava Borilin" <[email-masked]>
Date: Tue, 2 Jun 2009 21:33:54 +0400

I do not beleive the one that will come wil be low quality.
at least people from the potential contributors (at least Skype, Speex,
SPIRIT) are already pretty-good in the commercially exploiting their own
codecs on the market.
i think this is probably false alert.
 
regards,
Slava Borilin

________________________________

From: stephen botzko [mailto:[email-masked]] 
Sent: Tuesday, June 02, 2009 9:32 PM
To: Henning Schulzrinne
Cc: Roni Even; [email-masked]; Jason Fischl; [email-masked];
[email-masked]; Slava Borilin
Subject: Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio
Codec WG

>>> - the quality of the codec may not be competitive

I think its very important that the codec quality be competitive.
People expect excellence from IETF standards  Standardizing
non-competitive codecs because they are cheap does not seem to be a good
choce.

Steve B.

On Tue, Jun 2, 2009 at 12:15 PM, Henning Schulzrinne
<[email-masked]> wrote:

	- nothing may come of it since there are no experts willing to
help
	- somebody will claim IPR on the resulting work
	- the quality of the codec may not be competitive
	
	However, if we don't do this, we are stuck with the status quo,
which is not all that satisfactory. Thus, unless there are significant
costs for "innocent bystanders", I see this as a risk worth taking. In
the worst case, we are no worse off than we are today. In all other
cases, we'll have an additional choice for a wideband codec, even if
it's not "the best", just "good enough". After all, most people use
G.711 today, which has a really hard time making that claim.
	
	Most real work in the IETF is done by very small teams,
typically less than 10, so as long as we have a handful of people that
are willing to contribute, this can work. It might even work better,
since you may get fewer people who have half-baked opinions - we may
skip the binary vs. XML debates...
	
	We can set some ground rules ("must be tested with packet loss
of 5%") and then see what happens. Compared to most network protocols,
the likely negative impacts (such as security or congestion control
issues) of even a badly-designed codec are pretty limited.
	
	Henning 

		Hi,
		I do not want to sound like someone who is for IPR (I am
not), but why stop
		at codec, let's require it for all IETF work. There are
IPR on IETF work
		which is must simpler, in my view, than wide band audio
codecs.
		
		I think that we can start with "royalty free" even
though I am not sure that
		it will accepted as part of the charter of any other
work group so why pick
		on codecs which require more work.
		
		This leaves the other reasons I heard for doing it at
the IETF which is the
		price of participating (cheaper than being an ITU-T
member) and maybe design
		less expensive characterization tests.
		
		Roni

		-----Original Message-----
		From: Jean-Marc Valin
[mailto:[email-masked]]
		Sent: Tuesday, June 02, 2009 6:14 PM
		To: Roni Even
		Cc: 'Slava Borilin'; [email-masked]; 'Jason Fischl';
[email-masked];
		[email-masked]
		Subject: Re: [AVT] [dispatch] Proposal to form Internet
Wideband Audio Codec
		WG
		
		Hi,
		
		Roni Even wrote:

			I am not sure what prevented you from doing it
today at the ITU or
			MPEG, why do you see the IETF handling it
differently.
			
			I would also like to remind you and Jean-Marc
that once you are
			bringing work to a standard body it may require
collaboration with
			other people who will have other proposals that
will also address the
			same requirements and you may need to invest
money in comparative
			testing by independent listening labs.
			
			I also think that you will need to supply the
codec in source code and
			provide copy right to the IETF.

		I am well aware that bringing work to the IETF would
require
		collaboration with others. I am not seeking control over
the work I am
		currently doing and would really welcome such
collaboration. The idea is
		only to have the best wideband codec possible without
IPR issues. Given
		the ITU and MPEG track record, I think it would be very
unlikely for any
		of those organisations to work on an IPR-free codec.
		
		I also agree with Henry that "the Internet has different
criteria than
		ITU-T networks may have". Internet adoption follows
different patterns
		than adoption in the ITU primary target markets. For
example, the
		Internet has more consumer-reconfigurable software,
while the ITU has to
		deal with a lot of fixed hardware deployments. At the
ITU, it makes
		sense to invest large sums of money into testing and
characterisation of
		codecs because the codecs deployed there usually stay
around for a long
		time and the infrastructure investments are usually very
large. On the
		other hand, I would say the investments in codecs for
the Internet are
		comparatively smaller and, while testing is still
important, it is not
		as critical as it is for the ITU.
		
		It's also a choice one has to make. It is unlikely that
companies would
		invest money in expensive testing if they are not going
to obtain
		royalties in return. However, I think we may be able to
define some more
		lightweight (collaborative?) testing that is sufficient
and doesn't
		involve as much investments as what the ITU does. For
the Internet, I
		believe an IPR-free codec that everyone agrees performs
well is better
		than a patent-encumbered codec that has had more
extensive testing. This
		is again another difference with the ITU:
patent-encumbered codecs tend
		to hurt a lot more on the Internet because many
applications (e.g.
		giving away the client) are very hard (or impossible)
when one has to
		pay per-channel royalties.
		
		As for the source code issue you pointed out, all the
Xiph codecs are
		already published under a very permissive open source
license (BSD), so
		this would not really change.
		
		  Jean-Marc

			Roni

			*From:* [email-masked]
[mailto:[email-masked]] *On Behalf
			Of *Slava Borilin
			*Sent:* Monday, June 01, 2009 11:50 PM
			*To:* [email-masked]
			*Cc:* [email-masked]; Jason Fischl
			*Subject:* Re: [AVT] [dispatch] Proposal to form
Internet Wideband
			Audio Codec WG

			Agree with Jean-Marc.
			SPIRIT is interested to contribute as well -
having a dozen of proprietary

			one specifically desgined for internet (SPIRIT
IP-MR, which is now under

			
			
			Moreover, most if not all efforts coming from
ITU on codecs unfortunately

			internet-specific codecs (that's why several
companies have had to invent)

			
			however, as we see the greant rise of pure
"internet-basd communications"

			we all (and users) are suffering from
inefficiency in all currently

			internet-targeted ones.
			
			Again, we probably can put together enough
number of contributors to the

			regards,
			Slava Borilin
			
			--
			John Lazzaro wrote:
			
			  A traditional response to this type of request
is to note that the

		IETF

			  really doesn't have much in the way of
expertise in audio codec

		design.

			  I don't see many of the regulars who present
at the AES codec paper

		sessions

			  posting here on AVT (ditto ICASSP paper
sessions for voice codecs).

		It's

			  a full-time job to keep up-to-date and
contribute to that
			
			  signal-processing lore.

			Well, there's no reason that the IETF cannot
build such an expertise
			in audio codecs. This is actually something in
which I'd be interested
			in getting involved and I'm sure others at
Xiph.Org would be
			interested as well. We have several people with
audio codec expertise
			from working on Vorbis, Speex and (more
recently) CELT. It turns out
			that the CELT codec currently under development
at Xiph actually meets
			most of the requirements from the original
proposal in being a very
			low delay codec with adaptive bit-rate and
sampling rate (up to 48
			kHz), scalable complexity, and good robustness
to packet loss. We'd be
			willing to continue the development with the
IETF. Even if not with
			CELT, it's still like to be involved in such a
new WG.
			
			Cheers,
			
			 Jean-Marc

---

From: Greg Herlein <[email-masked]>
Date: Tue, 2 Jun 2009 10:37:45 -0700

The source code has been available since day one.  Can you help me
understand why the copyright of the source code would need to be transferred
to the IETF?

Greg

On Tue, Jun 2, 2009 at 6:47 AM, Roni Even <[email-masked]> wrote:

>  Hi,
>
> I am not sure what prevented you from doing it today at the ITU or MPEG,
> why do you see the IETF handling it differently.
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of *Slava
> Borilin
> *Subject:* Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio
> Codec WG
>
>
>
> Agree with Jean-Marc.
>

-- 
Greg Herlein
www.herlein.com

---

From: Roni Even <[email-masked]>
Date: Tue, 02 Jun 2009 20:51:13 +0300

Hi,

This can be discussed later but I would expect that the change control for
the codec will be the IETF and not the contributor, this is the meaning of a
standard track document. 

Like I said the final results will either be a collaboration between all
offered technologies or we will need a selection process.

Roni

From: Greg Herlein [mailto:[email-masked]] 
Sent: Tuesday, June 02, 2009 8:38 PM
To: Roni Even
Cc: Slava Borilin; [email-masked]; [email-masked]; Jason Fischl
Subject: Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio Codec
WG

Greg

Hi,

Roni 

Agree with Jean-Marc.

 

regards,
Slava Borilin
 
--
John Lazzaro wrote:

Cheers,
 
   Jean-Marc

-- 
Greg Herlein
www.herlein.com

---

From: stephen botzko <[email-masked]>
Date: Tue, 2 Jun 2009 14:13:13 -0400

>>> i think this is probably false alert.
I would hope so.  I think its important that the characterization testing
(however it is done) prevent the standardization of a codec that is
sub-standard.

So I'd prefer Henning's last risk item to be that "a standardizable codec
might not result".

Steve B.

On Tue, Jun 2, 2009 at 1:33 PM, Slava Borilin <[email-masked]> wrote:

>  ------------------------------
> *From:* stephen botzko [mailto:[email-masked]]
> *Sent:* Tuesday, June 02, 2009 9:32 PM
> *To:* Henning Schulzrinne
> *Cc:* Roni Even; [email-masked]; Jason Fischl; [email-masked];
>>> Codec
>>>> unfortunately
>>>> communications"

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 2 Jun 2009 14:12:18 -0400

On Jun 2, 2009, at 1:31 PM, stephen botzko wrote:

> People expect excellence from IETF standards  Standardizing non- 
> competitive codecs because they are cheap does not seem to be a good  
> choce.

This is an engineering trade-off. Ogg Vorbis is probably not the  
"best" codec out there, but fills a need.

---

From: David Singer <[email-masked]>
Date: Tue, 2 Jun 2009 11:32:06 -0700

>Last I knew, ITU was a *far* more closed group (and I think MPEG as well).

Attending and contributing to MPEG meetings merely means becoming an 
accredited member of your national delegation.  In the US, you join 
the INCITS L3.1 activity, and meet the rules for attendance and 
voting.  It's not hard (much, much, easier than designing an audio 
codec, or even steering it through a standards process).  It's also 
vastly cheaper than the costs of travel, attendance etc.

-- 
David Singer
Multimedia Standards, Apple Inc.

---

From: stephen botzko <[email-masked]>
Date: Tue, 2 Jun 2009 14:32:21 -0400

Of course there are multiple dimensions in the engineering - including
complexity, delay, bitrate, audio bandwidth, and fidelity.

I'm not saying there is a "best" codec, let alone that the IETF should
attempt to build it.

But I think any codec standardized by IETF should be competitive, and
hopefully would have some advantage (not just price) over other available
codecs for its stated application(s).

Steve B.

On Tue, Jun 2, 2009 at 2:12 PM, Henning Schulzrinne <[email-masked]>wrote:

> This is an engineering trade-off. Ogg Vorbis is probably not the "best"
> codec out there, but fills a need.
>

---

From: David Singer <[email-masked]>
Date: Tue, 2 Jun 2009 11:36:40 -0700

It would also be hard to 'object' to transport work being done in 
traditional 'codec shops' (such as the ITU and MPEG) if this goes 
ahead.

A quality codec standard is usually backed by
* testing
* conformance files
* reference software

and a fairly rigorous design process.  When SMPTE took on VC-1 from 
Microsoft, I think both they and Microsoft were surprised by the 
amount of work involved.

FWIW, 3GPP SA4 is also a place with interest in codecs for packet 
networks, and has standardized codecs in the past.  Opening a new 
work item there is not trivial, but can be done.
-- 
David Singer
Multimedia Standards, Apple Inc.

---

From: John Lazzaro <[email-masked]>
Date: Tue, 2 Jun 2009 12:07:28 -0700

On Tue, Jun 2, 2009 at 11:32 AM, David Singer<[email-masked]> wrote:
> accredited member of your national delegation.  In the US, you join the
> INCITS L3.1 activity, and meet the rules for attendance and voting.  It's
> not hard (much, much, easier than designing an audio codec, or even steering
> it through a standards process).  It's also vastly cheaper than the costs of
> travel, attendance etc.

A data point here of interest ... in the 7+ years it took for RFC 4695 to make
it through the process, I only "needed" to attend two IETFs -- the one where
I made the case in person for AVT to choose it as a working group item
in Salt Lake City, and the IETF in San Francisco a few years later to about
half-way through the process, to remind everyone I had a name and a face :-).

The total travel costs was a cheap flight OAK-SLC flight, one night in the
SLC hotel, and a round-trip BART ticket from Berkeley to Civic Center :-).

I think if you compared that to, for example, the cumulative travel bill the
MIT Media Labs folks ran up to guide Structured Audio through the MPEG
process, their travel bill would be one-to-two orders of magnitude greater.

So in that sense, I do think the IETF process is a better fit for someone
running on a (very) tight budget ...

-- 
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
john [dot] lazzaro [at] gmail [dot] com

---

From: Randell Jesup <[email-masked]>
Date: Tue, 02 Jun 2009 15:23:34 -0400

David Singer <[email-masked]> writes:
>traditional 'codec shops' (such as the ITU and MPEG) if this goes ahead.
>
>Microsoft, I think both they and Microsoft were surprised by the amount of
>work involved.

All relevant and indicative of the level of work required, but not
disqualifying I think.

>FWIW, 3GPP SA4 is also a place with interest in codecs for packet networks,
>and has standardized codecs in the past.  Opening a new work item there is
>not trivial, but can be done.

Again, I imagine even getting involved in 3GPP is tough with many hoops,
let alone getting the rest of them to sanction a new codec not designed for
radio use specifically.  You can't even directly apply to join; you have to
go through an "Organizational Partner" like ATIS.  Not going to happen here...

---

From: David Singer <[email-masked]>
Date: Tue, 2 Jun 2009 12:24:23 -0700

>running on a (very) tight budget ...

On the other hand, the costs of paying for the time to
* write the specification
* write the conformance suite
* write the reference software

dwarf the costs of attendance at meetings.  RFC 4695 is a nice piece 
of work, but it's not a codec.
-- 
David Singer
Multimedia Standards, Apple Inc.

---

From: Randell Jesup <[email-masked]>
Date: Tue, 02 Jun 2009 15:28:21 -0400

David Singer <[email-masked]> writes:
>not hard (much, much, easier than designing an audio codec, or even
>steering it through a standards process).  It's also vastly cheaper than
>the costs of travel, attendance etc.

You assume that the people involved have real budgets for travel, etc.  Not
always the case.  I attended IETF in Philly only because I live there; my
company isn't going to spend the money to send me or anyone else here to
any distant meetings at this point.  Perhaps in the future, but that's a
huge impediment to participation - we have other work to do as well. I
will, when possible, participate in IETF meetings remotely via audio
streaming (video in the future?) and feed questions and comments via IM.

---

From: David Singer <[email-masked]>
Date: Tue, 2 Jun 2009 12:31:53 -0700

>go through an "Organizational Partner" like ATIS.  Not going to happen here...

The only hoop is an organizational partner.  For large companies, it 
can be expensive (e.g. ETSI sets your dues based on your telecoms 
related revenue, if I recall correctly).

On a spectrum of desirability of process etc., I'd guess that
* codecs from international bodies with a procedure and track record 
for doing them thoroughly, are preferred (MPEG, ITU, 3GPP)
* codecs from international bodies not normally in the codec field 
offer at least a stable specification and the opportunity for 
critique and refinement, leading to that specification (e.g. IETF)
* codecs developed in open-source  are at least open to anyone, but 
they have the issue that they lack a formal reference, a formal 
consensus process, a stable publication 'home', IPR rules for 
contributors, and so on
* commercial codecs have the backing of a company, and generally 
stability, interop, and so on are well managed (if they want to 
succeed), but are typically confidential and 'take it or leave it'.

And yes, it gets a little cheaper each time we move down a rung here, 
which is the trade-off.
-- 
David Singer
Multimedia Standards, Apple Inc.

---

From: Henry Sinnreich <[email-masked]>
Date: Tue, 2 Jun 2009 09:12:26 -0700

This is an important point.
Given the travel constraints for some of the most valuable potential contributors and reviewers, could we envisage online work until the economy improves, so that an eventual BOF to start with should not be starved of attendees? An online BOF?

Henry

On 6/2/09 10:57 AM, "Roni Even" <[email-masked]> wrote:

Hi,

Roni

-----Original Message-----
From: Jean-Marc Valin [mailto:[email-masked]]
Sent: Tuesday, June 02, 2009 6:14 PM
To: Roni Even
Cc: 'Slava Borilin'; [email-masked]; 'Jason Fischl'; [email-masked];
[email-masked]

Hi,

    Jean-Marc

IETF
design.
sessions
It's

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 2 Jun 2009 11:44:51 -0500

Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio Codec WGI am not an area director, nor do i play one on IPTV, but my suggestion for anyone interested would be to 

- request a non-WG mailing list (from either of the RAI area directors),

- announce it on this mailing list (and others that seem to be appropriate, and 

- start discussions, which the area directors typically look at when judging whether there's enough interest and enough clue to justify approving a BOF and/or chartering a working group.

I didn't see a mailing list included in Jason's proposal - if I missed one, my apologies.

If people at the IETF can do this work, and want to do this work, IETF process policies should not get in the way of that happening.

And I haven't heard of an AD turning down a request for a non-WG mailing list yet, keeping in mind that one of said lists is ietf-sailors, for people interested in sailing to/from/at IETF meetings - the bar is (appropriately) low.

Thanks,

Spencer
  ----- Original Message ----- 
  From: Henry Sinnreich 
  To: Roni Even ; Jean-Marc Valin 
  Cc: [email-masked] ; Slava Borilin ; [email-masked] 
  Sent: Tuesday, June 02, 2009 11:12 AM
  Subject: Re: [dispatch] [AVT] Proposal to form Internet Wideband Audio Codec WG

  Henry

    Hi,

    Roni

    -----Original Message-----
    From: Jean-Marc Valin [mailto:[email-masked]]
    Sent: Tuesday, June 02, 2009 6:14 PM
    To: Roni Even
    Cc: 'Slava Borilin'; [email-masked]; 'Jason Fischl'; [email-masked];
    [email-masked]
    Subject: Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio Codec
    WG

    Hi,

        Jean-Marc

    IETF
    design.
    sessions
    It's
    > CELT, it's still like to be involved in such a new WG.

------------------------------------------------------------------------------

---

From: Henry Sinnreich <[email-masked]>
Date: Tue, 2 Jun 2009 12:10:38 -0700

>at least people from the potential contributors (at least Skype, Speex, SPIRIT) are already pretty-good

As a user of all three codecs and some other as well:
The seem to me clearly among the best technology and in wide-spread use as well.

This should put to rest the questions of expertise, quality and availability of contributors and reviewers.

Henry

On 6/2/09 12:33 PM, "Slava Borilin" <[email-masked]> wrote:

I do not beleive the one that will come wil be low quality.
at least people from the potential contributors (at least Skype, Speex, SPIRIT) are already pretty-good in the commercially exploiting their own codecs on the market.
i think this is probably false alert.

regards,
Slava Borilin

________________________________
From: stephen botzko [mailto:[email-masked]]
Sent: Tuesday, June 02, 2009 9:32 PM
To: Henning Schulzrinne
Cc: Roni Even; [email-masked]; Jason Fischl; [email-masked]; [email-masked]; Slava Borilin
Subject: Re: [AVT] [dispatch] Proposal to form Internet Wideband Audio Codec WG

>>> - the quality of the codec may not be competitive

I think its very important that the codec quality be competitive.  People expect excellence from IETF standards  Standardizing non-competitive codecs because they are cheap does not seem to be a good choce.

Steve B.

On Tue, Jun 2, 2009 at 12:15 PM, Henning Schulzrinne <[email-masked]> wrote:
I  view this as a trade-off. If we pursue this, there are risks:

However, if we don't do this, we are stuck with the status  quo, which is not all that satisfactory. Thus, unless there are significant  costs for "innocent bystanders", I see this as a risk worth taking. In the  worst case, we are no worse off than we are today. In all other cases, we'll  have an additional choice for a wideband codec, even if it's not "the best",  just "good enough". After all, most people use G.711 today, which has a really  hard time making that claim.

Most real work in the IETF is done by very  small teams, typically less than 10, so as long as we have a handful of people  that are willing to contribute, this can work. It might even work better,  since you may get fewer people who have half-baked opinions - we may skip the  binary vs. XML debates...

We can set some ground rules ("must be tested  with packet loss of 5%") and then see what happens. Compared to most network  protocols, the likely negative impacts (such as security or congestion control  issues) of even a badly-designed codec are pretty limited.

Henning

Hi,

Roni

-----Original Message-----
From: Jean-Marc  Valin [mailto:[email-masked]]
Sent: Tuesday, June 02,  2009 6:14 PM
To: Roni Even
Cc: 'Slava Borilin'; [email-masked]; 'Jason Fischl';  [email-masked];
[email-masked]

Hi,

Roni  Even wrote:

   Jean-Marc

Roni

Agree with Jean-Marc.

internet-specific  codecs (that's why several companies have had to invent)
-  as ITU preference is mainly

internet-targeted  ones.

regards,
Slava  Borilin

--
John Lazzaro wrote:

   signal-processing lore.

Cheers,

 Jean-Marc

---

From: John Lazzaro <[email-masked]>
Date: Tue, 2 Jun 2009 13:02:04 -0700

On Tue, Jun 2, 2009 at 12:24 PM, David Singer<[email-masked]> wrote:
> dwarf the costs of attendance at meetings.  RFC 4695 is a nice piece of
> work, but it's not a codec.

In my case, the MIDI equivalent to the above were all done pro-bono by me.
I spent a few years teaching undergraduate classes to earn a salary so
I could finish the RFCs ... And I don't think I'm unique in this regard, some
of the academic IETF contributions are funded by grants from WG acceptance
to RFC issuance, but many of them run on donated author time for at least
part of the process (in my case, the first few years were funded by a Cal
Micro grant).

---

From: "Slava Borilin" <[email-masked]>
Date: Wed, 3 Jun 2009 00:27:45 +0400

David-

SA4 is definitely the option, but they are focused, again, on LTE only,
around EVRC family, so they has a differetnt roots and different agendas
from IETF now.

regards,
Slava Borilin

-----Original Message-----
From: David Singer [mailto:[email-masked]] 
Sent: Tuesday, June 02, 2009 10:37 PM
To: Henning Schulzrinne; stephen botzko
Cc: [email-masked]; Jason Fischl; [email-masked]; Roni Even;

and a fairly rigorous design process.  When SMPTE took on VC-1 from
Microsoft, I think both they and Microsoft were surprised by the amount
of work involved.

FWIW, 3GPP SA4 is also a place with interest in codecs for packet
networks, and has standardized codecs in the past.  Opening a new work
item there is not trivial, but can be done.
--
David Singer
Multimedia Standards, Apple Inc.

---

From: Eric Burger <[email-masked]>
Date: Tue, 2 Jun 2009 21:50:30 -0400

To directly answer Henry, having a mail list and the initial (and  
possibly detailed) discussion hosted at the IETF costs less than the  
discussion we are having here.  If a codec comes out of it, without  
having a BOF or WG, that's great!  If not, at least there was a forum  
for doing it.

I can also offer a SIP Forum list if people still really, really don't  
like the idea of even discussing the topic under even the most  
faintest of auspices of the IETF.

If you think I am schizophrenic by offering we can have a discussion  
in the IETF and at the same time I doubt we could ever have a formal  
work group to create the codec, you would be only slightly  
correct :-)  But seriously: the IETF (AVT in particular) can pickup  
the wire format for a codec, once the codec exists. Having a mail list  
WITHOUT A WORK GROUP give people who want to work on this a venue to  
do the work, without burdening the AD's, IESG, and the rest of the  
community. If a codec pops out, then we can run with it.

On Jun 2, 2009, at 12:44 PM, Spencer Dawkins wrote:

> I am not an area director, nor do i play one on IPTV, but my  
> suggestion for anyone interested would be to
>
> - start discussions, which the area directors typically look at when  
> judging whether there's enough interest and enough clue to justify  
> approving a BOF and/or chartering a working group.
>
> If people at the IETF can do this work, and want to do this work,  
> IETF process policies should not get in the way of that happening.
>
> And I haven't heard of an AD turning down a request for a non-WG  
> mailing list yet, keeping in mind that one of said lists is ietf- 
> sailors, for people interested in sailing to/from/at IETF meetings -  
> the bar is (appropriately) low.
>
> Thanks,
>
> Spencer
> be starved of attendees? An online BOF?
>
> Cc: 'Slava Borilin'; [email-masked]; 'Jason Fischl';[email-masked];
> [email-masked]
> the

---

From: Eric Burger <[email-masked]>
Date: Tue, 2 Jun 2009 21:51:49 -0400

I would strike
> - somebody will claim IPR on the resulting work
from the list of risks. The *resulting* work would clearly be  
predicated by both prior art and Note Well.

On Jun 2, 2009, at 12:15 PM, Henning Schulzrinne wrote:

> which is not all that satisfactory. Thus, unless there are  
> significant costs for "innocent bystanders", I see this as a risk  
> worth taking. In the worst case, we are no worse off than we are  
> today. In all other cases, we'll have an additional choice for a  
> wideband codec, even if it's not "the best", just "good enough".  
> After all, most people use G.711 today, which has a really hard time  
> making that claim.
>
> Most real work in the IETF is done by very small teams, typically  
> less than 10, so as long as we have a handful of people that are  
> willing to contribute, this can work. It might even work better,  
> We can set some ground rules ("must be tested with packet loss of  
> 5%") and then see what happens. Compared to most network protocols,  

> [snip]

---

From: Henry Sinnreich <[email-masked]>
Date: Wed, 3 Jun 2009 13:23:26 -0700

Joel,

>And now, before I start repeating myself

I will also repeat here that it makes no sense to have this huge IETF work for voice (mainly) signaling (SIP, XMPP, NSIS) and no standard for an _Internet_ voice codec.

Going by your guidance for avoiding a voice codec, the IETF may also just give up signaling for voice and close down all the voice related signaling WGs. And since we are at it, why not all the A/V codec profiles in AVT? :-)
This is hard to rationalize.

Henry

On 6/3/09 2:57 PM, "Joel M. Halpern" <[email-masked]> wrote:

Let's be clear.  I am not trying to argue that the existing codecs are
good enough.  I hear everyone saying that they are not.
However, the IETF is not the answer to all the worlds standards problems.

In this case, there are a number of existing bodies addressing these
problems.  There also are apparently existing solutions with near the
right properties.
1) The IETF is structurally not well suited to dealing with the kinds of
patent problems that we are dealing with.
2) The IETF, based on history, is not very good at dealing with market
acceptance issues (questions such as why isn't Speex or SILK being
accepted.)
3) IETF WGs are very bad at working out what the real problems are.
THey are good at working out protocol issues.  But this is not primarily
a protocol issue, from what everyone is saying.

I have heard rumors of several other bodies that are working in this
space.  Given that we have lately been working very hard to keep other
folks from encroaching on our patch, we ought to be sensitive to
encroaching on theirs.

And now, before I start repeating myself, I will try to stay quite for a
few days and keep listening.
Yours,
Joel

Dan York wrote:
> I've been reading this thread with great interest as for the past
> probably 6 years or so I've been saying to anyone who will listen (and
> to those who won't ;-) that one factor that will help "IP
> communications/VoIP/UC/whatever-marketing-term-we-want-to-rename-our-products-to-this-week"
> to really find wide adoption is to provide a "rich communication
> experience" better than what people are used to now.
>
> Wideband audio is, to me, a huge part of that.
>
> However, I completely agree with Henning on this point:
>
>>> is not all that satisfactory.
>
>
> The status quo is not satisfactory.  If you want to add wideband audio
> to your product, you've got an alphabet soup of mutually incompatible
> options with vastly different licensing terms/fees/options and source
> code availability.
>
> I think we ultimately need a "G.711 for wideband", i.e. a wideband codec
> that anyone can implement in any device.  I'd argue that a large part of
> the reason we are "stuck" with so many people in VoIP using G.711 is
> precisely because ANYONE can implement it in basically ANY device.  You
> can buy a G.711 codec implementation or you can write your own or find
> some code on the Internet (google "G.711 source code"). You can
> implement G.711 in your big softswitch or IP-PBX... or you can implement
> it in some small embedded device.
>
> And it interoperates.
>
> We need that kind of codec for wideband.... which I would say is
> "royalty-free" and needs to have "open source" implementations
> available.   (And yes, I know Speex is out there - I don't have a view
> as to why it is not more widely implemented.  And yes, I know Skype is
> giving away SILK royalty-free, but it's not open source.)
>
> Can the IETF help with this?  I don't know... but I think it's worth a
> shot.  If there is a group that is passionate about this (and there
> seems to be) then lets get the mailing list set up and have it go the
> regular List -> BOF -> Working Group trajectory.
>
> In the best case perhaps we come out with the codec we want/need.  At
> the very worst I think we'd wind up with at least creating some good
> discussions and requirements for what we do need.
>
> My 2 cents,
> Dan
>

---

From: Dan York <[email-masked]>
Date: Wed, 3 Jun 2009 15:45:42 -0400

I've been reading this thread with great interest as for the past  
probably 6 years or so I've been saying to anyone who will listen (and  
to those who won't ;-) that one factor that will help "IP  
communications/VoIP/UC/whatever-marketing-term-we-want-to-rename-our- 
products-to-this-week" to really find wide adoption is to provide a  
"rich communication experience" better than what people are used to now.

However, I completely agree with Henning on this point:

>> which is not all that satisfactory.

I think we ultimately need a "G.711 for wideband", i.e. a wideband  
codec that anyone can implement in any device.  I'd argue that a large  
part of the reason we are "stuck" with so many people in VoIP using G. 
711 is precisely because ANYONE can implement it in basically ANY  
device.  You can buy a G.711 codec implementation or you can write  
your own or find some code on the Internet (google "G.711 source  
code"). You can implement G.711 in your big softswitch or IP-PBX... or  
you can implement it in some small embedded device.

And it interoperates.

My 2 cents,
Dan

-- 
Dan York, Director of Conversations
Voxeo Corporation   http://www.voxeo.com  [email-masked]
Phone: +1-407-455-5859    Skype: danyork

Join the Voxeo conversation:
Blogs: http://blogs.voxeo.com  http://www.disruptivetelephony.com
Twitter: http://twitter.com/voxeo  http://twitter.com/danyork
Facebook: http://www.voxeo.com/facebook

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 03 Jun 2009 15:57:15 -0400

---

From: Henry Sinnreich <[email-masked]>
Date: Wed, 3 Jun 2009 13:50:17 -0700

Joel,

Henry

---

From: Jason Fischl <[email-masked]>
Date: Wed, 03 Jun 2009 15:08:41 -0700

I've requested a mailing list and it has been approved. It should be live in
a day or so. I'll post the details once it is live.

Jason

---

From: Dean Willis <[email-masked]>
Date: Wed, 3 Jun 2009 17:16:20 -0500

On Jun 3, 2009, at 2:45 PM, Dan York wrote:

> codec that anyone can implement in any device.  I'd argue that a  
> large part of the reason we are "stuck" with so many people in VoIP  
> using G.711 is precisely because ANYONE can implement it in  
> basically ANY device.  You can buy a G.711 codec implementation or  
> you can write your own or find some code on the Internet (google "G. 
> 711 source code"). You can implement G.711 in your big softswitch or  
> IP-PBX... or you can implement it in some small embedded device.

We have such a codec: 16 bit sampling at 44.1 khz, aka "what your CD  
player does in stereo", or L16 audio as defined in RFC 1890.

While there might be some IPR on it, it clearly hasn't kept everybody  
and their dog from playing the audio format on devices ranging from a  
$3 CD player on up.

We also have RFC 3190, which does RTP format for 12-bit DAT audio and  
20 and 24 bit linear sampled audio.

So what is it that we need for a "wideband G.711" that isn't already  
in there somewhere?

It sounds like what you want is more a wideband iLBC, which is an  
intellectually much larger challenge.

--
Dean

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 4 Jun 2009 12:00:34 +0200

I would argue that G.711 is implemented, not because anyone can implement it, but because everyone else has implemented it. It essentially forms the lowest common denominator for interoperability. If fancy codec x doesn't work, then assuming you have the bandwidth availabile, G.711 probably will. And I suspect it is royalty free not because it was always so, but because any IPR that existed has pretty much expired by now.

G.711 is also the one codec that is probably the most neutral to transcoding. I can do to codec A to G.711 and back to codec A with less impact that with any other intermediate codec.

For wideband there probably is not any one codec that has achieved that position.

I don't believe building a better, even royalty free codec, will guarantee a position in the market place. The world is littered with better solutions that never made it. You need a market where everyone chooses to implement it so that you can use that codec without having to go to transcoding. Pasting IETF on the front cover does not achieve that.

I don't really have a problem with people trying to sit down and design a new codec and IETF then publishing it. Without some other selling point however it just becomes yet another codec competing for market place. As such, put it somewhere where it does not interfere with other work. Sticking it on a separate mailing list, and not letting it compete for valuable IETF face to face slots as a working group is fine.

regards

Keith

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Dan York
> Sent: Wednesday, June 03, 2009 8:46 PM
> To: [email-masked]
> Cc: [email-masked]
> I've been reading this thread with great interest as for the 
> past probably 6 years or so I've been saying to anyone who 
> will listen (and to those who won't ;-) that one factor that 
> will help "IP
> products-to-this-week" to really find wide adoption is to 
> provide a "rich communication experience" better than what 
> people are used to now.
>